Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595642 - RFE: clone: make recipe-sets clonable instead of recipes
Summary: RFE: clone: make recipe-sets clonable instead of recipes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.5
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 09:22 UTC by Marian Csontos
Modified: 2011-06-13 18:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-05 17:56:02 UTC


Attachments (Terms of Use)

Description Marian Csontos 2010-05-25 09:22:07 UTC
Cloning a recipe does not make much sense. It does not matter for single-host, it is not that useful for multi-host.

Comment 1 Bill Peck 2010-07-21 12:38:17 UTC
Denying beaker-blocker flag as we didn't have working cloning before.

Comment 2 Raymond Mancy 2010-08-02 00:31:07 UTC
Any harm in just adding in clonability of RecipeSet's, or is it so absurd to have cloneable recipes that there is/never will be a use case for it and it should be removed ?

Comment 3 Marian Csontos 2010-08-02 05:38:37 UTC
IMO having cloneable RecipeSets, cloning single recipe would be useless:
- for single host RecipeSet it is just the same
- for multi-host tests, cloning only one server/client without the rest does not make sense. Such a test will not run correctly...

I vote for removing.

Comment 5 Marian Csontos 2010-08-03 06:06:10 UTC
Thanks. That's quite a change!


Note You need to log in before you can comment on or make changes to this bug.